@import "variables";

// Grid containers
//
// Define the maximum width of `.container` for different screen sizes.

// Grid columns
//
// Set the number of columns and specify the width of the gutters.

$grid-columns: $bootstrap-columns;
$grid-gutter-width: $bootstrap-gutter;
$grid-row-columns: $bootstrap-row-columns;

@import "~bootstrap/scss/bootstrap-grid";

.container, .container-fluid, .container-sm, .container-md, .container-lg, .container-xl {
  @media (min-width: $bootstrap-xs) {
    width: calc(100% - 60px);
  }
  @media (min-width: $bootstrap-sm) {
    width: calc(100% - 120px);
  }
  @media (min-width: $bootstrap-md) {
    width: calc(100% - 120px);
  }
  @media (min-width: $bootstrap-lg) {
    width: calc(100% - 160px);
    max-width: $bootstrap-lg;
  }
}

/* dobbiamo sovrascrivere i gutter a lg e xl 24 (12+12) */
.row:not(.no-gutters) {
  @media (min-width: $bootstrap-md) {
    margin-right: -12px;
    margin-left: -12px;
  }
}

.container,
.container-fluid,
.row:not(.no-gutters) > .col,
.row:not(.no-gutters) > [class*="col-"] {
  @media (min-width: $bootstrap-md) {
    padding-right: 12px;
    padding-left: 12px;
  }
}
